# Type alias gmfDisclaimerOptions

gmfDisclaimerOptions: {
external?: boolean;
layerVisibility?: boolean;
popup?: boolean;
}

The disclaimers options

#### Type declaration

- ##### `Optional` external?: boolean

  Whether to use disclaimer messages elsewhere or not. Default to `false`. If true, you should use the externalMessage and the externalVisibility too.

- ##### `Optional` layerVisibility?: boolean

  Only display the disclaimer if the layer is visible. Defaults to `true`.

- ##### `Optional` popup?: boolean

  Whether to show the disclaimer messages in popups or not. Defaults to `false`.

- Defined in srcapi/store/config.ts:1026

Generated using TypeDoc